net.sf.okapi.lib.xliff2.core

## Enum Part.GetTarget

- java.lang.Object
- - java.lang.Enum<Part.GetTarget>
  - - net.sf.okapi.lib.xliff2.core.Part.GetTarget

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Part.GetTarget>
  Enclosing class:
    Part

      public static enum Part.GetTarget
      extends java.lang.Enum<Part.GetTarget>

  Options when getting a target which does not exists yet.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLONE_SOURCE` Indicates to clone the source in the target if a target does not exist yet.
    `CREATE_EMPTY` Indicates to create an empty target if a target does not exist yet.
    `DONT_CREATE` Indicates to not create a target if a target does not exists yet: the target remains null.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Part.GetTarget` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Part.GetTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DONT_CREATE

          public static final Part.GetTarget DONT_CREATE

      Indicates to not create a target if a target does not exists yet: the target remains null.

    - #### CREATE_EMPTY

          public static final Part.GetTarget CREATE_EMPTY

      Indicates to create an empty target if a target does not exist yet.

    - #### CLONE_SOURCE

          public static final Part.GetTarget CLONE_SOURCE

      Indicates to clone the source in the target if a target does not exist yet.

  - ### Method Detail

    - #### values

          public static Part.GetTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Part.GetTarget c : Part.GetTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Part.GetTarget valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null